json-c 0.18

Data Fields
lh_table Struct Reference

`#include <linkhash.h>`

## Data Fields
int | size
int | count
struct lh_entry * | head
struct lh_entry * | tail
struct lh_entry * | table
lh_entry_free_fn * | free_fn
lh_hash_fn * | hash_fn
lh_equal_fn * | equal_fn

## Detailed Description

The hash table structure. Outside of linkhash.c, treat this as opaque.

## Field Documentation

## ◆ count

int lh_table::count

Numbers of entries.

Deprecated:
  Use lh_table_length() instead.

## ◆ equal_fn

lh_equal_fn* lh_table::equal_fn

Deprecated:
  do not use outside of linkhash.c

## ◆ free_fn

lh_entry_free_fn* lh_table::free_fn

A pointer to the function responsible for freeing an entry.

Deprecated:
  do not use outside of linkhash.c

## ◆ hash_fn

lh_hash_fn* lh_table::hash_fn

Deprecated:
  do not use outside of linkhash.c

## ◆ head

struct lh_entry* lh_table::head

The first entry.

Deprecated:
  Use lh_table_head() instead.

## ◆ size

int lh_table::size

Size of our hash.

Deprecated:
  do not use outside of linkhash.c

## ◆ table

struct lh_entry* lh_table::table

Internal storage of the actual table of entries.

Deprecated:
  do not use outside of linkhash.c

## ◆ tail

struct lh_entry* lh_table::tail

The last entry.

Deprecated:
  Do not use, may be removed in a future release.

The documentation for this struct was generated from the following file:

- linkhash.h